| FlatBuffers An open source project by FPL.

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
flatbuffers::Array< T, length > Class Template Reference

## Public Types
typedef VectorIterator< T, return_type > | const_iterator
typedef VectorReverseIterator< const_iterator > | const_reverse_iterator
typedef IndirectHelper< IndirectHelperType >::return_type | return_type

## Public Member Functions
const_iterator | begin () const
const_iterator | cbegin () const
const_iterator | cend () const
const_reverse_iterator | crbegin () const
const_reverse_iterator | crend () const
uint8_t * | Data ()
T * | data ()
const uint8_t * | Data () const
const T * | data () const
const_iterator | end () const
return_type | Get (uoffset_t i) const
template<typename E >
E | GetEnum (uoffset_t i) const
flatbuffers::conditional< scalar_tag::value, void, T * >::type | GetMutablePointer (uoffset_t i) const
void | Mutate (uoffset_t i, const T &val)
return_type | operator[] (uoffset_t i) const
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
FLATBUFFERS_CONSTEXPR uint16_t | size () const

## Protected Member Functions
void | MutateImpl (flatbuffers::integral_constant< bool, false >, uoffset_t i, const T &val)
void | MutateImpl (flatbuffers::integral_constant< bool, true >, uoffset_t i, const T &val)

## Protected Attributes
uint8_t | data_ [length *sizeof(T)]

The documentation for this class was generated from the following file:

- flatbuffers.h